Subject: Offline Message from Reema: Dear Mumzworld Team, Greetings, I have been try
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 18 Jun 2020 08:08:42 -0000

From: Reema <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://www.mumzworld.com/en/contact-us/
Department: 

Dear Mumzworld Team,

Greetings,

I have been trying to contact costumer service and no luck now for more than a week I have even sent couple of email and no reply as well. This is a total failure.

I have my order number 100156586, and I have no idea when will I receive it. It has been shipped for more that 10 days now and I did not receive it

Kindly advise ASAP.

Best,
Reema 

----
Zopim
https://www.zopim.com